org.eclipse.gef.dot.internal.language.validation

## Class DotRecordLabelJavaValidator

- java.lang.Object
- - org.eclipse.xtext.validation.AbstractInjectableValidator
  - - org.eclipse.xtext.validation.AbstractDeclarativeValidator
    - - org.eclipse.gef.dot.internal.language.validation.AbstractDotRecordLabelJavaValidator
      - - org.eclipse.gef.dot.internal.language.validation.DotRecordLabelJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

    public class DotRecordLabelJavaValidator
    extends AbstractDotRecordLabelJavaValidator

This class contains custom validation rules. See https://www.eclipse.org/Xtext/documentation/303_runtime_concepts.html#validation

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`org.eclipse.xtext.validation.AbstractDeclarativeValidator.MethodWrapper, org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator

`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

### Field Summary

Fields
`static java.lang.String` `ISSUE_CODE_PREFIX` Snippet including the subgrammar issue code prefix
`static java.lang.String` `PORT_NAME_DUPLICATE` Issue code for a duplicate port name error
`static java.lang.String` `PORT_NAME_NOT_SET` Issue code for a unset port name warning

### Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`CURRENT_LANGUAGE_NAME, ISSUE_SEVERITIES`

### Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor

`INSIGNIFICANT_INDEX`

### Fields inherited from interface org.eclipse.emf.ecore.EValidator

`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

### Constructor Summary

Constructors
Constructor and Description
`DotRecordLabelJavaValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkMultiplePortsNotSameName(org.eclipse.gef.dot.internal.language.recordlabel.RLabel label)` Checks that if a record based label has multiple ports none have the same name
`void` `checkPortNameIsNotNull(org.eclipse.gef.dot.internal.language.recordlabel.FieldID fieldID)` Checks that if a port is specified, it has a name which allows referencing.

### Methods inherited from class org.eclipse.gef.dot.internal.language.validation.AbstractDotRecordLabelJavaValidator

`getEPackages`

### Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator

`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, addIssue, addIssue, addIssue, addIssue, addIssue, addIssueToState, checkDone, checkIsFromCurrentlyCheckedResource, createDiagnostic, createDiagnostic, createMethodWrapper, error, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getIssueSeverities, getMessageAcceptor, guard, info, info, info, info, info, info, info, info, internalValidate, isIgnored, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning, warning`

### Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator

`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ISSUE_CODE_PREFIX

    public static final java.lang.String ISSUE_CODE_PREFIX

Snippet including the subgrammar issue code prefix

See Also:
  Constant Field Values

#### PORT_NAME_DUPLICATE

    public static final java.lang.String PORT_NAME_DUPLICATE

Issue code for a duplicate port name error

See Also:
  Constant Field Values

#### PORT_NAME_NOT_SET

    public static final java.lang.String PORT_NAME_NOT_SET

Issue code for a unset port name warning

See Also:
  Constant Field Values

### Constructor Detail

#### DotRecordLabelJavaValidator

    public DotRecordLabelJavaValidator()

### Method Detail

#### checkPortNameIsNotNull

    public void checkPortNameIsNotNull(org.eclipse.gef.dot.internal.language.recordlabel.FieldID fieldID)

Checks that if a port is specified, it has a name which allows referencing.

Parameters:
  `fieldID` - FieldID to be checked.

#### checkMultiplePortsNotSameName

    public void checkMultiplePortsNotSameName(org.eclipse.gef.dot.internal.language.recordlabel.RLabel label)

Checks that if a record based label has multiple ports none have the same name

Parameters:
  `label` - RecordLabel to be checked.